# Generated by Django 5.1.5 on 2025-03-06 12:45

import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("extras", "0122_charfield_null_choices"),
        ("inventory_monitor", "0030_alter_asset_options_asset_name_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="ABRA",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("inventory_number", models.CharField(max_length=64)),
                ("name", models.CharField(max_length=255)),
                (
                    "serial_number",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                ("person_id", models.CharField(blank=True, max_length=64, null=True)),
                (
                    "person_name",
                    models.CharField(blank=True, max_length=255, null=True),
                ),
                (
                    "location_code",
                    models.CharField(blank=True, max_length=64, null=True),
                ),
                ("location", models.CharField(blank=True, max_length=255, null=True)),
                (
                    "activity_code",
                    models.CharField(blank=True, max_length=64, null=True),
                ),
                ("user_name", models.CharField(blank=True, max_length=255, null=True)),
                ("user_note", models.TextField(blank=True, null=True)),
                ("split_asset", models.CharField(blank=True, null=True)),
                ("status", models.CharField(blank=True, null=True)),
                (
                    "assets",
                    models.ManyToManyField(
                        blank=True,
                        related_name="abra_assets",
                        to="inventory_monitor.asset",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "verbose_name": "ABRA Asset",
                "verbose_name_plural": "ABRA Assets",
                "ordering": ("inventory_number", "name"),
                "indexes": [
                    models.Index(fields=["inventory_number"], name="abra_invnum_idx"),
                    models.Index(fields=["serial_number"], name="abra_serial_idx"),
                    models.Index(fields=["person_id"], name="abra_personid_idx"),
                    models.Index(fields=["location_code"], name="abra_loccode_idx"),
                    models.Index(fields=["status"], name="abra_status_idx"),
                ],
            },
        ),
    ]
